curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getBlockByNumber",
"params": ["latest",false],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"difficulty": "0x0",
"extraData": "",
"gasLimit": "0x5f5e100",
"gasUsed": "0x0",
"hash": "0xfB041b3D98d317C209d9782e97E873B24f42c3D0C93B24feDA94f6A244e73fEb",
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"miner": "0x0000000000000000000000000000000000000000",
"mixHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"nonce": "0x0000000000000000",
"number": "0x1",
"parentHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"receiptsRoot": "0x0000000000000000000000000000000000000000000000000000000000000000",
"size": "0x1fd",
"stateRoot": "0xaa3ac2e5127e4F3aCAC9d2fceE82f3A621c15b673849BCedFbBd359C3B00052c",
"timestamp": "0x64b8d101",
"totalDifficulty": "0x0",
"transactions": [],
"transactionsRoot": "0x0000000000000000000000000000000000000000000000000000000000000000"
}
}
JSON RPC
eth_getBlockByNumber
POST
/
curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getBlockByNumber",
"params": ["latest",false],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"difficulty": "0x0",
"extraData": "",
"gasLimit": "0x5f5e100",
"gasUsed": "0x0",
"hash": "0xfB041b3D98d317C209d9782e97E873B24f42c3D0C93B24feDA94f6A244e73fEb",
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"miner": "0x0000000000000000000000000000000000000000",
"mixHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"nonce": "0x0000000000000000",
"number": "0x1",
"parentHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"receiptsRoot": "0x0000000000000000000000000000000000000000000000000000000000000000",
"size": "0x1fd",
"stateRoot": "0xaa3ac2e5127e4F3aCAC9d2fceE82f3A621c15b673849BCedFbBd359C3B00052c",
"timestamp": "0x64b8d101",
"totalDifficulty": "0x0",
"transactions": [],
"transactionsRoot": "0x0000000000000000000000000000000000000000000000000000000000000000"
}
}
Returns information about a block by block number
Body
number
Serves as a unique identifier for the request
string
Indicates the version of JSON-RPC being used
string
Represents the name of the remote procedure or method to be called
array
Response
number
Returns unique identifier for the request
string
Returns the version of JSON-RPC being used
object
A blockObject
Show blockObject
Show blockObject
string
The block number. Null when the returned block is the pending block
string
32 Bytes - hash of the block. Null when the returned block is the pending block
string
32 Bytes - hash of the parent block
string
8 Bytes - hash of the generated proof-of-work. Null when the returned block is the pending block
string
256 Bytes - the bloom filter for the logs of the block. Null when the returned block is the pending block
string
32 Bytes - the root of the transaction trie of the block
string
32 Bytes - the root of the final state trie of the block
string
20 Bytes - the address of the beneficiary to whom the mining rewards were given
string
A field in the block head, which is used to prove that the miner has completed the Proof of work (PoW) in the mining process
string
Hexadecimal of the difficulty for this block
string
Hexadecimal of the total difficulty of the chain until this block
string
The “extra data” field of this block
string
Hexadecimal the size of this block in bytes
string
The maximum gas allowed in this block
string
The total used gas by all transactions in this block
string
The unix timestamp for when the block was collated
Array
Array of transaction objects, or 32 Bytes transaction hashes
string
32 Bytes - the root of the receipts trie of the block
curl 'https://rpc1.aries.axiomesh.io' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getBlockByNumber",
"params": ["latest",false],
"id": 1
}'
{
"jsonrpc": "2.0",
"id": 1,
"result": {
"difficulty": "0x0",
"extraData": "",
"gasLimit": "0x5f5e100",
"gasUsed": "0x0",
"hash": "0xfB041b3D98d317C209d9782e97E873B24f42c3D0C93B24feDA94f6A244e73fEb",
"logsBloom": "0x00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000",
"miner": "0x0000000000000000000000000000000000000000",
"mixHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"nonce": "0x0000000000000000",
"number": "0x1",
"parentHash": "0x0000000000000000000000000000000000000000000000000000000000000000",
"receiptsRoot": "0x0000000000000000000000000000000000000000000000000000000000000000",
"size": "0x1fd",
"stateRoot": "0xaa3ac2e5127e4F3aCAC9d2fceE82f3A621c15b673849BCedFbBd359C3B00052c",
"timestamp": "0x64b8d101",
"totalDifficulty": "0x0",
"transactions": [],
"transactionsRoot": "0x0000000000000000000000000000000000000000000000000000000000000000"
}
}
⌘I